// https://www.shadertoy.com/view/XsXXDn

const fragment = /* glsl */ `#version 300 es
precision highp float;

uniform vec2 u_resolution;
uniform vec2 u_mouse;
uniform float u_time;

out vec4 outColor;

void main() {
    vec3 c;
	float l, z=u_time;
    vec2 uv, p;
    vec2 m;
	for(int i=0; i<3; i++) {
		m = gl_FragCoord.xy/u_mouse;
        p = gl_FragCoord.xy/u_resolution;
		uv = p;
		p -= .5;
		p.x *= u_resolution.x/u_resolution.y;
		z += .25;
		l = length(p);
		uv += p/l*(sin(z)+m.x)*abs(sin(l*9.-z*2.));
		c[i] = (m.y/200.0)/length(abs(mod(uv,1.)-.5));
	}
	outColor = vec4(c/l,u_time);
}
`;

export default fragment;